The HttpQueryString class
The HttpRequest
The HttpQueryString class
PHP Manual

# HttpQueryString::xlate

(PECL pecl_http:0.25.0-1.5.5)

HttpQueryString::xlate — Change query strings charset

### Description

public bool HttpQueryString::xlate ( string `$ie` , string `$oe` )

Converts the query string from the source encoding ie to the target encoding oe.

Warning

Don't use any character set that can contain NUL bytes like UTF-16.

> Note: This method requires ext/iconv to be enabled and loaded.

### Parameters

`ie`

  input encoding

`oe`

  output encoding

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

The HttpQueryString class
The HttpRequest
The HttpQueryString class
PHP Manual